aboutsummaryrefslogtreecommitdiff
path: root/board
diff options
context:
space:
mode:
authorGravatar Carlos Santos <unixmania@gmail.com>2019-10-12 21:22:30 -0300
committerGravatar Thomas Petazzoni <thomas.petazzoni@bootlin.com>2019-10-27 12:21:43 +0100
commitee47fea5781ab0ee1fa2d95a75ac020a2b38676b (patch)
tree558dc432de5f9baae040efcfbdc82e2e330df955 /board
parent4fdaf76a52216d773dcdaf0980a3e0abe3dd093d (diff)
downloadbuildroot-ee47fea5781ab0ee1fa2d95a75ac020a2b38676b.tar.gz
buildroot-ee47fea5781ab0ee1fa2d95a75ac020a2b38676b.tar.bz2
board/raspberrypi/post-image.sh: pass an empty rootpath to genimage
genimage makes a full copy of the given rootpath to ${GENIMAGE_TMP}/root so passing TARGET_DIR would be a waste of time and disk space. We don't rely on genimage to build the rootfs image, just to insert a pre-built one in the disk image. Signed-off-by: Carlos Santos <unixmania@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
Diffstat (limited to 'board')
-rwxr-xr-xboard/raspberrypi/post-image.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/board/raspberrypi/post-image.sh b/board/raspberrypi/post-image.sh
index 70447cd48b..bf9af5dc60 100755
--- a/board/raspberrypi/post-image.sh
+++ b/board/raspberrypi/post-image.sh
@@ -49,10 +49,18 @@ __EOF__
done
+# Pass an empty rootpath. genimage makes a full copy of the given rootpath to
+# ${GENIMAGE_TMP}/root so passing TARGET_DIR would be a waste of time and disk
+# space. We don't rely on genimage to build the rootfs image, just to insert a
+# pre-built one in the disk image.
+
+trap 'rm -rf "${ROOTPATH_TMP}"' EXIT
+ROOTPATH_TMP="$(mktemp -d)"
+
rm -rf "${GENIMAGE_TMP}"
-genimage \
- --rootpath "${TARGET_DIR}" \
+genimage \
+ --rootpath "${ROOTPATH_TMP}" \
--tmppath "${GENIMAGE_TMP}" \
--inputpath "${BINARIES_DIR}" \
--outputpath "${BINARIES_DIR}" \